.loading-fullsize {
    position: relative;
    width: 100%;
    height: 100%;
    @include _display-flex(flex, center, center);
    padding: $grid-gap*2;
    @include _curtainToggleAnimation(0, .17s);

    background: rgba($color-white, .9);

    .spinnner {
        margin: 0;
    }

    &.-fix {
        position: fixed;
        top: 0;
        left: 0;
        z-index: map_get($z-index, 'loading-wheel');
    }
}